Subject: Re: bug#13602: 24.3.50; remove bindings for `icomplete-minibuffer-map' - make a separate mode

From: Juri Linkov <[email-masked]>
Date: Fri, 08 Feb 2013 09:59:45 +0200

> I think it's a good idea to try and use something else than C-s C-r,
> since admittedly they collide with existing usage.  But the problem is
> indeed to find other bindings.
>
> We could use arrows with modifiers: by default, M-left and C-left do the
> same thing, so we could use either C-left/C-right or M-left/M-right.

I perceive the `icomplete-mode' feature as a way to select a completion
without opening the list of completions in the *Completions* buffer.

Since the list of completions can be opened from the minibuffer by typing
<prior> or `M-v' (`switch-to-completions') and selecting a completion
with <left> `previous-completion' and <right> `next-completion'
(whereas `C-f' and `C-b' retain their traditional keybindings),
e.g. to select `list-buffers' one could type:

`M-x list- <prior> <right> <right> RET'

so it would be reasonable to use something similar in icomplete:

`M-x list- <C-right> <C-right> C-j'

(the advantage is that the user doesn't have to release the Control key)

or also

`M-x list- <C-right> <C-right> C-RET'

(interesting that `C-RET' is already translated to `C-j' on ttys by default
but not on X, so a separate keybinding is necessary for C-RET on X
for `minibuffer-force-complete-and-exit' currently bound to `C-j'.)